org.eclipse.jgit.revwalk.filter

## Class AuthorRevFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.AuthorRevFilter

    public class AuthorRevFilter
    extends Object

Matches only commits whose author name matches the pattern.

### Method Summary

Methods
`static RevFilter` `create(String pattern)` Create a new author filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static RevFilter create(String pattern)

Create a new author filter.

An optimized substring search may be automatically selected if the pattern does not contain any regular expression meta-characters.

The search is performed using a case-insensitive comparison. The character encoding of the commit message itself is not respected. The filter matches on raw UTF-8 byte sequences.

Parameters:
  `pattern` - regular expression pattern to match.
Returns:
  a new filter that matches the given expression against the author name and address of a commit.